/*
style.cssの:rootで定義されたCSS変数をLP領域内で無効化する
ページコンテンツ内を覆うタグ要素に適当なクラスを付与し（.all-wrapper以外のclassを使用する場合は追加で指定）、全てのCSS変数をinitialで上書きすることで、style.cssのCSS変数をLP領域内で無効化する
*/
.all-wrapper {
  --global_color: initial;
  --transparent_color: initial;

  --Background-accent-orange: initial;
  --Background-invert: initial;
  --Background-mv: initial;
  --Background-primary: initial;
  --Background-secondary: initial;
  --Background-tertiary: initial;
  --Background-modal: initial;
  --Background-scroll-hint: initial;

  --Button-Disable-foreground: initial;
  --Button-Elevate-background: initial;
  --Button-Elevate-foreground: initial;
  --Button-Icon-outline: initial;
  --Button-Icon-background: initial;
  --Button-Outlined-background: initial;
  --Button-Outlined-foreground: initial;
  --Button-Outlined-outline: initial;
  --Button-Primary-background: initial;
  --Button-Primary-foreground: initial;
  --Button-Secondary-background: initial;
  --Button-Secondary-foreground: initial;

  --Border-secondary: initial;

  --Tag-background-focused: initial;
  --Tag-foreground-enabled: initial;
  --Tag-foreground-disable: initial;
  --Tag-outline-enabled: initial;
  --Tag-outline-disable: initial;
  --Tag-background-enabled: initial;
  --Surface-primary: initial;
  --Orange-200: initial;
  --Orange-300: initial;
  --Neutral-300: initial;
  --Neutral-400: initial;
  --Neutral-500: initial;
  --Icon-primary: initial;
  --Icon-invert: initial;
  --Icon-accent-orange: initial;
  --Icon-disabled: initial;

  --Table-cell-title-border: initial;
  --Table-cell-title: initial;
  --Table-border: initial;

  --Text-primary: initial;
  --Text-secondary: initial;
  --Text-tertiary: initial;
  --Text-accent-orange: initial;
  --Text-invert: initial;

  --Text-Field-border-enabled: initial;
  --Text-Field-border-filled: initial;
  --Text-Field-border-focused: initial;
  --Text-Field-placeholder-enabled: initial;
  --Text-Field-placeholder-focused: initial;
  --Text-Field-background: initial;
  --Text-Field-placeholder-filled: initial;

  --TextLink-Primary-default: initial;
  --TextLink-Secondary-default: initial;

  --Divider-primary: initial;
  --Divider-secondary: initial;
  --Overlay-primary: initial;
  --Overlay-primary-movie: initial;
  --Overlay-secondary-movie: initial;

  --box-shadow-color: initial;
  --Surface-secondary: initial;
  --Surface-secondary-opacity-80: initial;

  --primary_font: initial;
  --secondary_font: initial;
  --primary_font_combine: initial;

  --Typography-FontSize-fontsize-1: initial;
  --Typography-FontSize-fontsize-2: initial;
  --Typography-FontSize-fontsize-3: initial;
  --Typography-FontSize-fontsize-4: initial;
  --Typography-FontSize-fontsize-4_sp: initial;
  --Typography-FontSize-fontsize-5: initial;
  --Typography-FontSize-fontsize-7: initial;
  --Typography-FontSize-fontsize-8: initial;
  --Typography-FontSize-fontsize-9: initial;
  --Typography-FontSize-fontsize-9_sp: initial;
  --Typography-FontSize-fontsize-10: initial;

  --font-weight-normal: initial;
  --font-weight-medium: initial;
  --font-weight-semi-bold: initial;
  --font-weight-bold: initial;

  --Typography-LineHeight-lineheight-10: initial;
  --Typography-LineHeight-lineheight-11: initial;
  --Typography-LineHeight-lineheight-12: initial;
  --Typography-LineHeight-lineheight-13: initial;
  --Typography-LineHeight-lineheight-14: initial;
  --Typography-LineHeight-lineheight-15: initial;
  --Typography-LineHeight-lineheight-16: initial;

  --Typography-LetterSpacing-letterspacing-0: initial;
  --Typography-LetterSpacing-letterspacing-1: initial;
  --Typography-LetterSpacing-letterspacing-2: initial;
  --Typography-LetterSpacing-letterspacing-2_sp: initial;
  --Typography-LetterSpacing-letterspacing-3: initial;
  --Typography-LetterSpacing-letterspacing-4: initial;
  --Typography-LetterSpacing-letterspacing-5: initial;
  --Typography-LetterSpacing-letterspacing-5_sp: initial;
  --Typography-LetterSpacing-letterspacing-6: initial;

  --Spacing-spacing-0: initial;
  --Spacing-spacing-1: initial;
  --Spacing-spacing-2: initial;
  --Spacing-spacing-3: initial;
  --Spacing-spacing-4: initial;
  --Spacing-spacing-5: initial;
  --Spacing-spacing-5_fixed: initial;
  --Slide_Spacing-spacing-5: initial;
  --Spacing-spacing-6: initial;
  --Spacing-spacing-7: initial;
  --Spacing-spacing-7_fixed: initial;
  --Spacing-spacing-8: initial;
  --Spacing-spacing-9: initial;
  --Spacing-spacing-10: initial;
  --Spacing-spacing-11: initial;
  --Spacing-spacing-11_fixed: initial;
  --Spacing-spacing-12: initial;
  --Spacing-spacing-13: initial;
  --Spacing-spacing-14: initial;
  --Spacing-spacing-15: initial;
  --Spacing-spacing-18: initial;

  --Radius-radius-0: initial;
  --Radius-radius-1: initial;
  --Radius-radius-2: initial;
  --Radius-radius-3: initial;
  --Radius-radius-4: initial;
  --Radius-radius-5: initial;
  --Radius-radius-10: initial;
  --Radius-radius-full: initial;
  --Radius-radius-50: initial;

  --Corner-small: initial;

  --Opacity-hover: initial;
  --Opacity-hidden: initial;
  --Opacity-visibility: initial;
  --Opacity-tag_inactive: initial;

  --Transition-primary: initial;
  --Transition-secondary: initial;
  --Transition-tertiary: initial;
  --Transition-quinary: initial;
}

/* style.cssのレスポンシブ時の:root変数をLP領域内で無効化する */
@media (max-width: 1600px) {
  .all-wrapper {
    --Slide_Spacing-spacing-5: initial;
  }
}

@media (max-width: 1400px) {
  .all-wrapper {
    --Spacing-spacing-5: initial;
    --Slide_Spacing-spacing-5: initial;
    --Spacing-spacing-11: initial;
    --Spacing-spacing-14: initial;
    --Spacing-spacing-18: initial;
  }
}

@media (max-width: 1199px) {
  .all-wrapper {
    --Slide_Spacing-spacing-5: initial;
  }
}

@media (max-width: 991px) {
  .all-wrapper {
    --Slide_Spacing-spacing-5: initial;
  }
}

@media (max-width: 767px) {
  .all-wrapper {
    --Typography-FontSize-fontsize-1: initial;
    --Typography-FontSize-fontsize-2: initial;
    --Typography-FontSize-fontsize-3: initial;
    --Typography-FontSize-fontsize-4: initial;
    --Typography-FontSize-fontsize-5: initial;
    --Typography-FontSize-fontsize-8: initial;
    --Typography-FontSize-fontsize-9: initial;
    --Typography-FontSize-fontsize-10: initial;

    --Typography-LetterSpacing-letterspacing-1: initial;
    --Typography-LetterSpacing-letterspacing-2: initial;
    --Typography-LetterSpacing-letterspacing-3: initial;
    --Typography-LetterSpacing-letterspacing-4: initial;
    --Typography-LetterSpacing-letterspacing-5: initial;
    --Typography-LetterSpacing-letterspacing-6: initial;

    --Spacing-spacing-1: initial;
    --Spacing-spacing-2: initial;
    --Spacing-spacing-3: initial;
    --Spacing-spacing-4: initial;
    --Spacing-spacing-5: initial;
    --Spacing-spacing-5_fixed: initial;
    --Slide_Spacing-spacing-5: initial;
    --Spacing-spacing-6: initial;
    --Spacing-spacing-7: initial;
    --Spacing-spacing-7_fixed: initial;
    --Spacing-spacing-8: initial;
    --Spacing-spacing-9: initial;
    --Spacing-spacing-10: initial;
    --Spacing-spacing-11: initial;
    --Spacing-spacing-11_fixed: initial;
    --Spacing-spacing-12: initial;
    --Spacing-spacing-13: initial;
    --Spacing-spacing-14: initial;
    --Spacing-spacing-15: initial;

    --Radius-radius-4: initial;
    --Radius-radius-5: initial;
  }
}

/* style.cssのグローバル要素セレクタをLP領域内で無効化する */

.all-wrapper p,
.all-wrapper span,
.all-wrapper a {
  /* font-family: initial; */
  /* font-size: initial; */
  line-height: initial;
  letter-spacing: initial;
}

/* dt, dd のリセット */
.all-wrapper dt {
  /* font-family: initial; */
  /* font-size: initial; */
  font-weight: initial;
  line-height: initial;
  letter-spacing: initial;
}
.all-wrapper dd {
  /* font-family: initial; */
  /* font-size: initial; */
  line-height: initial;
  letter-spacing: initial;
}

/* small のリセット */
.all-wrapper small {
  /* font-family: initial; */
  /* font-size: initial; */
  line-height: initial;
  letter-spacing: initial;
}

/* button のリセット */
.all-wrapper button {
  width: initial;
  height: initial;
  padding: initial;
  border-radius: initial;
  color: initial;
  background-color: initial;
  font-family: initial;
  font-size: initial;
  font-weight: initial;
  line-height: initial;
  letter-spacing: initial;
  border: initial;
}

/* select のリセット */
.all-wrapper select {
  width: initial;
  height: initial;
  border-radius: initial;
  border: initial;
  background: initial;
  outline: initial;
  color: initial;
  font-family: initial;
  font-size: initial;
  font-weight: initial;
  line-height: initial;
  letter-spacing: initial;
  padding: initial;
  -webkit-appearance: initial;
}

/* input のリセット */
.all-wrapper input[type="text"],
.all-wrapper input[type="email"],
.all-wrapper input[type="tel"],
.all-wrapper input[type="date"] {
  font-size: initial;
  border: initial;
  height: initial;
  -webkit-border-radius: initial;
  -webkit-appearance: initial;
}

/* textarea のリセット */
.all-wrapper textarea {
  font-size: initial;
  border: initial;
  -webkit-border-radius: initial;
  -webkit-appearance: initial;
}

/* table のリセット */
.all-wrapper table {
  width: initial;
  table-layout: initial;
}
.all-wrapper table th,
.all-wrapper table td {
  color: initial;
  font-size: initial;
  font-weight: initial;
  line-height: initial;
  letter-spacing: initial;
  vertical-align: initial;
  height: initial;
  padding: initial;
  background-color: initial;
  border-bottom: initial;
  text-align: initial;
}

/* hr のリセット */
.all-wrapper hr {
  display: initial;
  height: initial;
  border: initial;
  border-top: initial;
  margin: initial;
  padding: initial;
}

/* ul, ol のリセット */
.all-wrapper ul,
.all-wrapper ol {
  list-style: initial;
}

.all-wrapper header.with_scroll {
  box-shadow: none;
}

/* style.cssの不要なcss初期化 */
.all-wrapper header nav,
.all-wrapper header nav ul,
.all-wrapper .header_nav_wrap > div,
.all-wrapper header nav dl {
  display: initial;
}

@media (max-width: 767px) {
  .all-wrapper header > div {
    height: initial;
  }
}

@media (max-width: 991px) and (min-width: 767px) {
  .all-wrapper header nav ul span,
  .all-wrapper header nav ul a,
  .all-wrapper header nav p,
  .all-wrapper header nav .login_info_wrap p span,
  .all-wrapper header nav dt,
  .all-wrapper header nav dd {
    font-size: initial;
  }
}
